---
name: Nicole Ann Precilla
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/finance/payroll/">Junior Payroll
  Specialist</a>
reports_to: sszepietowska
picture: nicoleprecilla.jpg
twitter:
gitlab: nprecilla
departments:
- Accounting
- Payroll
story: 'Before joining GitLab, Nikki has experienced working on Accounts Payable function
  for six years. She loves spending time with her family and enjoys going to the beach
  to explore.

  '
job_title: Payroll Analyst
division: Finance
public: true

